eCentral™ is designed to work in coordination with the following clinical and practice management software.

Note: System requirements are subject to change according to current computer industry standards.

Dentrix

Version 11.0 through G2
Limited functionality (call 800.734.5561 for details)

Version G3 and newer
Full functionality

In addition to eClaims™, you must be on Dentrix G5 or higher to receive eEOB. You must also download and install eSync 3.6 or higher and the eEOB plug-in. Click here for an outline of all system requirements.

Easy Dental

Version 2005 and newer
Limited functionality (call 800.734.5561 for details)

eCentral is a Web-based program and does not require additional software installation to your network. An Internet connection is required;
high-speed is recommended. The following browsers are recommended for best results:

Microsoft Internet Explorer 6.0 or 7.0 Windows
Firefox 2.0 or FireFox 3.0

The current version of Adobe Flash is also recommended.

Contact Us